name: flashfiction_analysis
channels:
  # - pytorch          # Commented out for local analysis
  # - nvidia           # Commented out for local analysis
  - conda-forge
  - defaults
dependencies:
  - python=3.10
  - pip
  - pip:
      - pandas==2.2.2
      - numpy==1.26.4
      - matplotlib==3.9.4
      - seaborn==0.13.2
      - scipy==1.11.4
      - statsmodels==0.14.6
      - scikit-learn==1.6.1
      - scikit_posthocs==0.11.4
      - plotly==6.1.1
      - tqdm==4.67.1
      - kneed==0.8.5
      - kss==6.0.6
      - konlpy==0.6.0
      - ipykernel
      - notebook
      - openpyxl
      # --- Server-side / LLM requirements (Commented out for local) ---
      # - torch>=2.4.0
      # - transformers>=4.45.0  # Required if running check_sent_stats.py
      # - accelerate>=1.1.0
      # - sentence-transformers